//----------------------------------------------------------------------------
// Mise en place du convertisseur Delta Sigma sur 8 bits et generation 
// 	d'un signal PWM de rapport cyclique proportionnel a l'entree analogique
//
// Mesure de la tension du potentiometre relie a  P2_1 et modification du 
// rapport cyclique de la PWM a 1kHz
//
// Meme horloge ici sur le bloc PWM, le TIMER du convertisseur et le bloc 
// analogique a savoir 250kHz
//
// Attention il faut autoriser le Polling sur ADC Delta Sigma dans ce programme
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules


void main(void)
{
	CHAR val;
	PWM8_Start();
	M8C_EnableGInt;
	DELSIG8_Start( DELSIG8_HIGHPOWER );
	DELSIG8_StartAD();
	while (1) {
		if ( DELSIG8_fIsDataAvailable() ) 
		{
			val=DELSIG8_cGetDataClearFlag();
			PWM8_WritePulseWidth(val-128);
		}
	}
}
